Method: projects.locations.flagAttributes.list

Retrieve a collection of flag attributes.

HTTP request

GET https://saasservicemgmt.googleapis.com/v1beta1/{parent=projects/*/locations/*}/flagAttributes

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent of the flag attribute.

Query parameters

Parameters
pageSize

integer

The maximum number of flag attributes to send per page.

pageToken

string

The page token: If the nextPageToken from a previous response is provided, this request will send the subsequent page.

filter

string

Filter the list as specified in https://google.aip.dev/160.

orderBy

string

Order results as specified in https://google.aip.dev/132.

Request body

The request body must be empty.

Response body

The response structure for the flagAttributes.list method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "flagAttributes": [
    {
      object (FlagAttribute)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
flagAttributes[]

object (FlagAttribute)

The resulting flag attributes.

nextPageToken

string

If present, the next page token can be provided to a subsequent flagAttributes.list call to list the next page. If empty, there are no more pages.

unreachable[]

string

Locations that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.